<!--
Copyright (C) 2018 Freetech Solutions

This file is part of OMniLeads

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see http://www.gnu.org/licenses/.

-->
{% extends "base.html" %}
{% load static %}
{% load i18n %}
{% block head_js %}
<script type="text/javascript">
 $(function() {
   var start = moment();
   var end = moment();
   function cb(start, end) {
     $('#id_fecha').html(start.format('DD/MM/YYYY') + ' - ' + end.format('DD/MM/YYYY'));
   }

   $('#id_fecha').on('apply.daterangepicker', function(ev, picker) {
      $(this).val(picker.startDate.format('DD/MM/YYYY') + ' - ' + picker.endDate.format('DD/MM/YYYY'));
   });

   $('#id_fecha').on('cancel.daterangepicker', function(ev, picker) {
      $(this).val('');
   });

   // Init daterange plugin
   var ranges = get_ranges();
   $('#id_fecha').daterangepicker(
     {
       locale: {
         format: 'DD/MM/YYYY'
       },
       startDate: start,
       endDate: end,
       ranges: ranges,
     }, cb);

   cb(start, end);

 });
</script>
{% endblock %}
{% block content %}
 <script type="text/javascript" src="{% static 'ominicontacto/JS/pygal-tooltips.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'ominicontacto/JS/pygal-tooltips.js' %}"></script>



{% with graficos_estadisticas=graficos_estadisticas %}
<div class="col-md-12">
    <h4>{% trans 'Agente' %} {{agente.user.get_full_name}}</h4>
</div>
<div class="col-md-6">

    <form role="form" method="post" enctype="multipart/form-data" >
        {% csrf_token %}
        <table class="table">
           <tr>
               <td>
                   <div class="input-group date pull-right active" id="">
                       {{form.fecha}}
                        <span class="input-group-addon cursor"><i class="fa fa-calendar"></i>
                        </span>
                    </div>
               </td>
               <td>
                   <button type="submit" id="id_buscar_btn" class="btn btn-primary">
                       {% trans 'Filtrar por esa fecha' %}
                   </button>
               </td>
           </tr>
        </table>
    </form>
</div>




                <table class="table table-bordered">
                        <thead>
                            <tr class="fts-table-bg">
                                <td colspan="2">
                                    <h4>{% trans 'Cantidad de calificaciones por el agente' %}</h4>
                                </td>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td width="50%">
                                    <table class="table table-bordered">
                                        <thead>
                                        <tr>
                                            <th>{% trans 'Calificación' %}</th>
                                            <th>{% trans 'cantidad' %} </th>


                                        </tr>
                                        </thead>
                                        <tbody>
                                            {% for calificaciones_nombre, calificaciones_cantidad in graficos_estadisticas.dict_campana_counter %}
                                                <tr>
                                                    <td><h5>{{ calificaciones_nombre }} </h5></td>
                                                    <td><h5>{{ calificaciones_cantidad }} </h5></td>
                                                </tr>
                                            {% endfor %}
                                                <tr>
                                                    <td><strong>{% trans 'Total asignados' %}</strong></td>
                                                    <td><strong>{{graficos_estadisticas.total_asignados}}</strong></td>
                                                </tr>
                                        </tbody>
                                    </table>
                                </td>
                                <td width="50%" align="center">
                                    <div class="graficos-avances">
                                        <figure>
                                            {{ graficos_estadisticas.barra_campana_calificacion.render|safe }}
                                        </figure>
                                    </div>
                                </td>
                            </tr>
                        </tbody>
                    </table>

<table class="table table-bordered">
    <thead>
        <tr>
            <th>{% trans 'Tiempo en sesión' %}</th>
            <th>{% trans 'Tiempo en pausa' %}</th>
            <th>{% trans 'Tiempo en llamada' %}</th>
            <th>{% trans 'Porcentaje en llamada' %}</th>
            <th>{% trans 'Porcentaje en pausa' %}</th>
            <th>{% trans 'Porcentaje en espera' %}</th>
            <th>{% trans 'Cantidad de llamadas procesadas' %}</th>
            <th>{% trans 'Tiempo promedio de llamadas' %}</th>
            <th>{% trans 'Cantidad de intentos fallidos' %}</th>
        </tr>
    </thead>

        <tr>
            <td>{{graficos_estadisticas.estadisticas.agente_tiempo.get_string_tiempo_sesion|default_if_none:0}}hs</td>
            <td>{{graficos_estadisticas.estadisticas.agente_tiempo.get_string_tiempo_pausa|default_if_none:0}}hs</td>
            <td>{{graficos_estadisticas.estadisticas.agente_tiempo.get_string_tiempo_llamada|default_if_none:0}}hs</td>
            <td>{{graficos_estadisticas.estadisticas.agente_tiempo.tiempo_porcentaje_llamada|default_if_none:0|floatformat:4}}%</td>
            <td>{{graficos_estadisticas.estadisticas.agente_tiempo.tiempo_porcentaje_pausa|default_if_none:0|floatformat:4}}%</td>
            <td>{{graficos_estadisticas.estadisticas.agente_tiempo.tiempo_porcentaje_wait|default_if_none:0|floatformat:4}}%</td>
            <td>{{graficos_estadisticas.estadisticas.agente_tiempo.cantidad_llamadas_procesadas}}</td>
            <td>{{graficos_estadisticas.estadisticas.agente_tiempo.tiempo_promedio_llamadas|default_if_none:0}}s</td>
            <td>{{graficos_estadisticas.estadisticas.agente_tiempo.cantidad_llamadas_perdidas}}</td>
        </tr>

    <tbody>

    </tbody>
</table>



<div class="col-md-12">
    <a class="btn btn-default"  href="{% url 'campana_reporte_grafico' pk_campana %}">{% trans 'Volver a reporte campana' %}</a>

</div>

{% endwith %}
{% endblock %}
